Wordpress login have an error

Discussion in 'Programming' started by opensource, Dec 12, 2012.

to remove all ads.
  1. opensource

    opensource New Member

    Messages:
    67
    Hi guys

    I have touch this last 4days ago and I didn't notice there was an error
    occurred when loging-in. I can't remember what was the last line that
    I have touched since i left in my pc with a rush trying to catch some
    important things outside.
    Anyway, when i try to login in my wp-admin. I get an error

    Warning: Cannot modify header information - headers already sent by (output started at /home/hotelpie/beta/wordpress/wp-content/themes/Mytemplate/functions.php:37) in /home/hotelpie/beta/wordpress/wp-includes/pluggable.php on line 881

    And I can't login anymore with this error.
    Any advice or idea about this error?
     
  2. chrishirst

    chrishirst Well-Known Member Staff Member

    Messages:
    2,637
    The error means that the code tried to send a HTTP header after content data had already been sent as a response to the useragent request.
     
  3. opensource

    opensource New Member

    Messages:
    67
    So what would be the best solution for this.
    I'm not really good on this.
     
  4. chrishirst

    chrishirst Well-Known Member Staff Member

    Messages:
    2,637
    Find out what is was that you 'broke' and fix it.

    Line 881 in /home/hotelpie/beta/wordpress/wp-includes/pluggable.php is where error occured, so the problem will be before that line, or in the code that calls that particular code.
     
  5. opensource

    opensource New Member

    Messages:
    67
    Is it possible deleting a wp plugin using ftp that has also been deactivated or never been use since ?
    Is it safe? I can't access in my wp-admin due to an error
    occurred above.

    Seems my localhost has no problem or issue about the error. Only when i upload it to the server, the
    error occurred and I can't access in wp-admin.
     
    Last edited: Dec 13, 2012
  6. chrishirst

    chrishirst Well-Known Member Staff Member

    Messages:
    2,637
    Could be

    Are both running the same PHP version?
     

Share This Page